Package ch.qos.logback.core.status

# Class NopStatusListener

java.lang.Object
ch.qos.logback.core.status.NopStatusListener

All Implemented Interfaces:
  `StatusListener`

public class NopStatusListener extends Object implements StatusListener
A no-operation (nop) StatusListener

Since:
  1.0.8
Author:
  Ceki Gülcü

## Constructor Summary

Constructors
Constructor
Description
`NopStatusListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addStatusEvent(Status status)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NopStatusListener

public NopStatusListener()

## Method Details

### addStatusEvent

public void addStatusEvent(Status status)

Specified by:
  `addStatusEvent` in interface `StatusListener`